Subject: bug#33959:

From: Carlos Pita <[email-masked]>
Date: Wed, 2 Jan 2019 23:34:24 -0300

I've changed the subject because the problem seems to be company and
not eldoc. It's weird since my first suspicion was about company menu
opening and inserting those empty lines so I turned off company local
and global minor modes to no avail... maybe I inadvertently toggle the
mode on. I will experiment a bit more until I'm sure which mode is
causing the issue, but company makes a lot of sense.